App::Cme::Command::fix(3pm)

NAME
App::Cme::Command::fix - Fix the configuration of an application

VERSION
version 1.049

SYNOPSIS
  # fix dpkg (this example requires Config::Model::Dpkg)
  cme fix dpkg

DESCRIPTION
Checks the content of the configuration file of an application (and show warnings if needed), update deprecated parameters (old value are saved to new parameters) and fix warnings are fixed. The configuration is saved if anything was changed. If no changes are done, the file is not saved.

Common options
See "Global Options" in cme.

options

from
    Use option "-from" to fix only a subset of a configuration tree. Example:

     cme fix dpkg -from 'control binary:foo Depends'

    This option can be repeated:

     cme fix dpkg -from 'control binary:foo Depends' -from 'control source Build-Depends'

filter
    Filter the leaf according to a pattern. The pattern is applied to the element name to be fixed Example:

     cme fix dpkg -from control -filter Build # will fix all Build-Depends and Build-Depend-Indep

    or

     cme fix dpkg -filter Depend

SEE ALSO
cme, App::Cme::Command::migrate

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014-2022 by Dominique Dumont <ddumont@cpan.org>.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999